Page MenuHomePhabricator

Searching for an IRC channel name (beginning with '#') redirects to the main page
Closed, ResolvedPublic

Description

I was looking for information on #wikipedia-en-help policy today, so I searched for #wikipedia-en-help on Wikipedia. It took me directly to /wiki/Main_Page#wikipedia-en-help which is less than useful. Admittedly, probably very few people actually try to search for things that begin with an octothorpe, but if they do, we should probably treat them right.

Note: Does *not* refresh a page like in T48334 - it actively moves you to the Main Page. Maybe T48334 is "fixed" and replaced by this bug? Maybe T48334 was an incomplete report (as searching for '#' on other pages now takes me to the main page)? You decide.

Event Timeline

MarkTraceur updated the task description. (Show Details)
MarkTraceur raised the priority of this task from to Needs Triage.
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 21 2016, 3:11 PM
Aklapper set Security to None.
Deskana triaged this task as Low priority.Jan 25 2016, 11:27 PM
Deskana added a subscriber: Deskana.

Thanks for the report. Given how rare this problem probably is, we can't prioritise any time soon.

Deskana moved this task from Needs triage to Search on the Discovery board.Jan 25 2016, 11:27 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJan 27 2017, 10:17 PM
debt added a subscriber: debt.Oct 26 2017, 5:10 PM

It looks like that this is turning into a fragment on the page...shouldn't be hard to fix, but not a priority at this time.

TJones closed this task as Resolved.Jan 30 2019, 11:05 PM
TJones claimed this task.
TJones added a subscriber: TJones.

Seems to be fixed now.